## org.gnu.gtk
Class CellRendererState

    java.lang.Object
      org.gnu.glib.Flags
          org.gnu.gtk.CellRendererState

public class CellRendererState
extends Flags

Field Summary
`static CellRendererState` `INSENSITIVE`
`static CellRendererState` `PRELIT`
`static CellRendererState` `SELECTED`
`static CellRendererState` `SORTED`

Fields inherited from class org.gnu.glib.Flags
`value_`

Method Summary
`CellRendererState` `and(CellRendererState other)`
`static CellRendererState` `intern(int value)`
`CellRendererState` `or(CellRendererState other)`
`boolean` `test(CellRendererState other)`
`CellRendererState` `xor(CellRendererState other)`

Methods inherited from class org.gnu.glib.Flags
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SELECTED

    public static final CellRendererState SELECTED

### PRELIT

    public static final CellRendererState PRELIT

### INSENSITIVE

    public static final CellRendererState INSENSITIVE

### SORTED

    public static final CellRendererState SORTED

Method Detail

### intern

    public static CellRendererState intern(int value)

### or

    public CellRendererState or(CellRendererState other)

### and

    public CellRendererState and(CellRendererState other)

### xor

    public CellRendererState xor(CellRendererState other)

### test

    public boolean test(CellRendererState other)